# Uses of Class
org.jmol.jvxl.data.MeshData

Packages that use MeshData
Package
Description
org.jmol.jvxl.api
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.shapesurface

## Uses of MeshData in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type MeshData
Modifier and Type
Method
Description
`void`
MeshDataServer.`fillMeshData(MeshData meshData, int mode, IsosurfaceMesh mesh)`

## Uses of MeshData in org.jmol.jvxl.data

Methods in org.jmol.jvxl.data with parameters of type MeshData
Modifier and Type
Method
Description
`static Object`
MeshData.`calculateVolumeOrArea(MeshData m, BS thisSet, boolean isArea, boolean getSets)`
`static String`
JvxlCoder.`jvxlGetFile(JvxlData jvxlData, MeshData meshData, String[] title, String msg, boolean includeHeader, int nSurfaces, String state, String comment)`

## Uses of MeshData in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as MeshData
Modifier and Type
Field
Description
`MeshData`
SurfaceGenerator.`meshData`
`protected MeshData`
SurfaceReader.`meshData`
Constructors in org.jmol.jvxl.readers with parameters of type MeshData
Modifier
Constructor
Description
``
`SurfaceGenerator(AtomDataServer atomDataServer, MeshDataServer meshDataServer, MeshData meshData, JvxlData jvxlData)`

## Uses of MeshData in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type MeshData
Modifier and Type
Method
Description
`void`
Isosurface.`fillMeshData(MeshData meshData, int mode, IsosurfaceMesh mesh)`
`protected void`
IsosurfaceMesh.`merge(MeshData m)`